]> git.ipfire.org Git - thirdparty/glibc.git/blobdiff - catgets/test-gencat.sh
Update copyright dates with scripts/update-copyrights.
[thirdparty/glibc.git] / catgets / test-gencat.sh
index d30c6a6f5e01d9b651f767b3dad7eae67d16dcb9..bea0d739f46a5b51c8ce6655fb1116d1d2d49635 100755 (executable)
@@ -1,46 +1,52 @@
-#! /bin/sh
+#!/bin/sh
 # Test escape character handling in gencat.
-# Copyright (C) 2000, 2001 Free Software Foundation, Inc.
+# Copyright (C) 2000-2019 Free Software Foundation, Inc.
 # This file is part of the GNU C Library.
-#
+
 # The GNU C Library is free software; you can redistribute it and/or
-# modify it under the terms of the GNU Library General Public License as
-# published by the Free Software Foundation; either version 2 of the
-# License, or (at your option) any later version.
-#
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2.1 of the License, or (at your option) any later version.
+
 # The GNU C Library is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
-# Library General Public License for more details.
-#
-# You should have received a copy of the GNU Library General Public
-# License along with the GNU C Library; see the file COPYING.LIB.  If
-# not, write to the Free Software Foundation, Inc.,
-# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+# Lesser General Public License for more details.
+
+# You should have received a copy of the GNU Lesser General Public
+# License along with the GNU C Library; if not, see
+# <http://www.gnu.org/licenses/>.
+
+set -e
 
 common_objpfx=$1
-run_program_prefix=$2
+test_program_cmd_before_env=$2
+run_program_env=$3
+test_program_cmd_after_env=$4
 
 # Run the test program.
-LOCPATH=${common_objpfx}localedata GCONV_PATH=${common_objpfx}iconvdata \
-NLSPATH=${common_objpfx}catgets/%N.%c.cat LC_ALL=ja_JP.SJIS \
-  ${run_program_prefix} \
+${test_program_cmd_before_env} \
+  ${run_program_env} \
+  NLSPATH=${common_objpfx}catgets/%N.%c.cat LC_ALL=ja_JP.SJIS \
+  ${test_program_cmd_after_env} \
     > ${common_objpfx}catgets/test-gencat.out
 
 # Compare with the expected result.
-cmp - ${common_objpfx}catgets/test-gencat.out <<EOF
+cmp - ${common_objpfx}catgets/test-gencat.out <<"EOF"
 LC_MESSAGES = ja_JP.SJIS
 sample1:ABCDEF:
 sample2:\93ú\96{\8cê:
 sample3:\97\\92è\95\:
 sample4:TEST   TAB:
 sample5:\8b@\94\   \8f\\8eí\97Þ:
+double slash\
+another line
 EOF
 res=$?
 
 cat <<EOF |
-#define AnotherSet 0x2 /* *standard input*:11 */
-#define AnotherFOO 0x1 /* *standard input*:12 */
+#define AnotherSet 0x2 /* *standard input*:13 */
+#define AnotherFOO 0x1 /* *standard input*:14 */
 EOF
 cmp ${common_objpfx}catgets/test-gencat.h - || res=1